Ext.namespace('Zarafa.plugins.owncloudattachment.data');

/**
 * @class Zarafa.plugins.owncloudattachment.data.ResponseHandler
 * @extends Zarafa.core.data.AbstractResponseHandler
 *
 * OwncloudAttachments specific response handler.
 */
Zarafa.plugins.owncloudattachment.data.ResponseHandler = Ext.extend(Zarafa.core.data.AbstractResponseHandler, {

	/**
	 * @cgf {String} The id of the opened node in fuile tree recieved from the Owncloud
	 */
	nodeId: undefined,

	/**
	 * @cfg {Function} successCallback The function which
	 * will be called after success request.
	 */
	successCallback : null,

	/**
	 * Call the successCallback callback function.
	 * @param {Object} response Object contained the response data.
	 */
	doLoadnode : function(response)
	{
		this.successCallback(response.items, response);
	},

	/**
	 * Call the successCallback callback function.
	 * @param {Object} response Object contained the response data.
	 */
	doDownloadtotmp : function(response)
	{
		this.successCallback(response.items, response);
	},

	/**
	 * In case exception happened on server, server will return
	 * exception response with the code of exception.
	 * @param {Object} response Object contained the response data.
	 */
	doError: function(response)
	{
		alert("error response code: " + response.error.info.code);
	}
});

Ext.reg('owncloudattachment.responsehandler', Zarafa.plugins.owncloudattachment.data.ResponseHandler);